Bug 1566529 - Smartstate Analysis Schedule Fails for OpenShift 3.7 Container Images
Summary: Smartstate Analysis Schedule Fails for OpenShift 3.7 Container Images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Nimrod Shneor
QA Contact: juwatts
URL:
Whiteboard:
Depends On: 1559459
Blocks: 1554897
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:17 UTC by Satoe Imaishi
Modified: 2019-02-11 16:29 UTC (History)
10 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1559459
Environment:
Last Closed: 2018-05-07 20:48:53 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)
SSA Schedule (347.20 KB, application/x-gzip)
2018-04-29 14:33 UTC, brahmani
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:18 UTC

Comment 2 CFME Bot 2018-04-12 13:21:41 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/84d84f380fa6924549c652132ebab353a4f10419
commit 84d84f380fa6924549c652132ebab353a4f10419
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Apr 10 12:14:30 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Apr 10 12:14:30 2018 -0400

    Merge pull request #17264 from nimrodshn/add_scan_with_userid

    Adding scan action with userid to container_image
    (cherry picked from commit 959fcd687af3b4fa44ee3061c5c77fcd1926d529)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566529

 app/models/container_image.rb | 4 +-
 app/models/ems_cluster.rb | 2 +-
 app/models/miq_schedule.rb | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

Comment 3 CFME Bot 2018-04-12 13:38:35 UTC
New commit detected on ManageIQ/manageiq-providers-kubernetes/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-kubernetes/commit/23c742ecc10e85039a35a1e59f324b6bef40ed65
commit 23c742ecc10e85039a35a1e59f324b6bef40ed65
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Apr 10 13:27:43 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Apr 10 13:27:43 2018 -0400

    Merge pull request #244 from nimrodshn/fix_userid_on_session_logout

    Propagate userid through to create a scanning job with current userid
    (cherry picked from commit c19e5a4324b0cff088ca42510d0f8864c79f70a0)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566529

 app/models/manageiq/providers/kubernetes/container_manager_mixin.rb | 5 +-
 spec/models/manageiq/providers/kubernetes/container_manager/scanning/job_spec.rb | 2 +-
 spec/models/manageiq/providers/kubernetes/container_manager_spec.rb | 2 +-
 3 files changed, 4 insertions(+), 5 deletions(-)

Comment 4 brahmani 2018-04-29 14:32:40 UTC
Verified on 5.9.2.3.20180419182310_cab2891.

Add new Schedule on Configuration => Settings => Schedules.

For the schedule I have the following settings:

  Action : Container Image Analysis

  Filter : Container Image : Name = "jboss-amq-6/amq62-openshift" 

And I had the schedule to run hourly.

SSA Run with no problem hourly.

See attached screenshots on zip file.

Comment 5 brahmani 2018-04-29 14:33:13 UTC
Created attachment 1428413 [details]
SSA Schedule

Comment 8 errata-xmlrpc 2018-05-07 20:48:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.